Anjuta IDE Manual
<<< Previous | File Operations | Next >>>

# Browsing Files with the Tags Browser

All C and C++ source and header files can be browsed using the tags in the files. All of the open C and C++ source and header files are scanned for available tags (a "tag" refers to a function definition, structure, macro, etc.).

Choose the type of the tag you want to view in the Tag menu on the Browser toolbar. If the tag type is function or class, you will have to further select the file for which you want to view the tag. Then, choose the tag (function, class member or the other tags) from the `Tag` drop-down combination box. The editor will take you to that particular file and highlight the line that contains the tag.

The following tag types are available:

- Functions

- Classes

- Structures

- Unions

- Enumerations

- Variables [global]

- Macros

1. File mode operation: If there is no project open, then `Anjuta` is in File mode. In this mode, `Anjuta` keeps track of opened files only. `Anjuta` will know all of the tags available in these opened file(s).

2. Project mode operation: If there is a project open, `Anjuta` will scan for tags in all of the source and header files of the project. This way it is possible to go to any function definition, structure definition, class definition etc. without manually opening the file. You don't even have to know which file that tag is found in (except in the case of function definitions).

Figure 2. Tags toolbar

| Don't Worry!
| You don't have to worry about the synchronization and update of the tag database. `Anjuta` will take care of everything. You just have to decide which tag you want to go to!

<<< Previous | Home | Next >>>
Editing Files | Up | Searching for and Replacing text in files